Skip to content

Show WIFI info.

GET
/api/operate/namespaces/{namespace}/sites/{site}/vpm/wifi/{node}/info
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/vpm/wifi/example/info \
--header 'Authorization: <Authorization>'

GET WIFI runtime information.

Examples of this operation.

namespace
required
string

Namespace Namespace for which the request is sent (system)

site
required
string

Site Name Name of the site.

node
required
string

Node Name Name of the node.

A successful response.

Media typeapplication/json
WIFI Info Response

Runtime WIFI information obtained from site.

object
wifi_info
object
bssid
bssid

The BSS service set identifier. In infrastructure mode, this is the hardware address of the wireless access point that a client is associated with.

string
<= 1024 characters
connected
connected

Whether the device is connected to wifi.

boolean format: boolean
frequency
frequency

The frequency used by the BSS, in MHz.

integer format: int64
receive_bitrate
receive_bitrate

The current data receive bitrate, in bits/second.

integer format: int64
signal
signal

The signal strength of this station’s connection, in dBm.

integer format: int32
signal_strength
string
default: UNAVAILABLE
Allowed values: UNAVAILABLE EXCELLENT GOOD FAIR POOR
ssid
ssid

The service set identifier, or “network name” of the BSS.

string
<= 1024 characters
transmit_bitrate
transmit_bitrate

The current data transmit bitrate, in bits/second.

integer format: int64
Example
{
"wifi_info": {
"signal_strength": "UNAVAILABLE"
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example